### Signal

# Gtk GLArea::resize

since: 4.0

#### Declaration

    void
    resize (
      GtkGLArea* self,
      gint width,
      gint height,
      gpointer user_data
    )

#### Description [src]

Emitted once when the widget is realized, and then each time the widget is changed while realized.

This is useful in order to keep GL state up to date with the widget size, like for instance camera properties which may depend on the width/height ratio.

The GL context for the area is guaranteed to be current when this signal is emitted.

The default handler sets up the GL viewport.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`width`

  Type: `gint`

  The width of the viewport.

`height`

  Type: `gint`

  The height of the viewport.